Subject: [alpine-devel] [PATCH] extra/pciutils: new aport

From: Leonardo Arena <[email-masked]>
Date: Fri, 20 Feb 2009 08:32:01 +0100

please see attached git patch
leo
From a2aedba591e1a37cb46bac9e76a40426f1acad89 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Fri, 20 Feb 2009 07:30:14 +0000
Subject: [PATCH] extra/pciutils: new aport

---
 extra/pciutils/APKBUILD |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 extra/pciutils/APKBUILD

diff --git a/extra/pciutils/APKBUILD b/extra/pciutils/APKBUILD
new file mode 100644
index 0000000..1c41b6d
--- /dev/null
+++ b/extra/pciutils/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Leonardo Arena <[email-masked]>
+# Maintainer: Leonardo Arena <[email-masked]>
+pkgname=pciutils
+pkgver=3.1.2
+pkgrel=0
+pkgdesc="PCI bus configuration space access library and tools"
+url="http://mj.ucw.cz/pciutils.html"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.kernel.org/pub/software/utils/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	make ZLIB=no PREFIX=/usr SHAREDIR=/usr/share/hwdata MANDIR=/usr/share/man all || return 1
+	make PREFIX=${pkgdir}/usr SHAREDIR=${pkgdir}/usr/share/hwdata MANDIR=${pkgdir}/usr/share/man install
+	
+	install -d ${pkgdir}/usr/lib
+	install -m644 lib/libpci.a ${pkgdir}/usr/lib
+	for i in config.h header.h pci.h types.h; do
+	  install -D -m 644 lib/${i} ${pkgdir}/usr/include/pci/${i}
+	done
+
+}
+
+md5sums="b6cc13955ad769a25c475a87d2ef5596  pciutils-3.1.2.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Fri, 20 Feb 2009 08:56:55 +0100

> please see attached git patch

wonderful!

Thanks!

-nc

PS. i think scripts are more readable if the lines are not too long.
less than 80 chars are preferible.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---